package Alexandria::CDWS::Model::Session;

use utf8;
use strict;
use warnings;

use Moose;
use Moose::Util::TypeConstraints;
use namespace::autoclean;
use Data::Dumper;
extends 'Catalyst::Model';

sub new { 
  my $class = shift;
  my $obj = $class->SUPER::new( @_ );
  return $class->meta->new_object( __INSTANCE__ => $obj, @_ );
}

sub new_session {
  my $self = shift;
}

sub get_session {
  my ($self, $sid) = @_;
}

sub set_session_param {
  my ($self, $sid, $key, $val) = @_;
}

sub unset_session_param {
  my ($self, $sid, $key) = @_;
}

sub delete_session {
  my ($self, $sid) = @_;
}

__PACKAGE__->config(
  options => {
    autocommit => 1,
  }
);


=head1 NAME

Alexandria::Model::Solr - Catalyst Model

=head1 DESCRIPTION

Alexandria::Model::Solr is a simple sub-class of Catalyst::Model.

=head1 AUTHOR

David Santamauro E<lt>david.santamauro@fairviewresearch.comE<gt>

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable ( inline_constructor => 0 );

1;

