package Alexandria::CDWS::Model::Text::XML;

use strict;
use base 'Alexandria::CDWS::Model::Text';
use utf8;

use XML::LibXML;

sub fetch {
  my ($self, $ucid) = @_;
  my $dbh = $self->dbh;
  my $sth = $dbh->prepare('select xml.f_patent_document( xml.f_ucid2id(?), ?)');
  $sth->execute($ucid, '');

  my $ret;
  while(my $ref = $sth->fetchrow_arrayref()) {
    $ret = $ref->[0];
  }
  return $ret;
}

### for configuration and authorization READ-ONLY!
sub ACCEPT_CONTEXT {
  my ($self, $c, @args) = @_;
  $self = bless( { %{$self}, c => $c }, ref($self) );
  return $self;
}

1;

__END__

