package Catalyst::Action::Serialize::XML::Alexandria::XResponse::XSolr;

use Moose;
use namespace::autoclean;
use Data::Dumper;
extends 'Catalyst::Action::Serialize::XML::Alexandria::XResponse';


sub execute {
  my $self = shift;
  my ($controller, $c) = @_;

  my $stash_key = (
          $controller->{'serialize'} ?
              $controller->{'serialize'}->{'stash_key'} :
              $controller->{'stash_key'}
  ) || 'rest';

  my $data = $c->stash->{$stash_key};

  $c->response->output( $data->{xml} );
  return 1;
}

__PACKAGE__->meta->make_immutable;
1;

