#!/usr/bin/env perl
# IMPORTANT: if you delete this file your app will not work as
# expected.  You have been warned.

use inc::Module::Install;
use Module::Install::Catalyst; # Complain loudly if you don't have
                               # Catalyst::Devel installed or haven't said
                               # 'make dist' to create a standalone tarball.

name 'Alexandria-CDWS';
perl_version '5.010001';
all_from 'lib/Alexandria/CDWS.pm';

requires 'Moose';
requires 'namespace::autoclean';
requires 'Config::General';
requires 'Clone::Fast';
requires 'IO::File::WithPath';
requires 'Catalyst::Runtime' => '5.80031';
requires 'Catalyst::Plugin::Static::Simple';
requires 'Catalyst::Plugin::ConfigLoader';
requires 'Catalyst::Action::RenderView';
requires 'Catalyst::Action::Serialize';
requires 'Catalyst::Action::Deserialize';
requires 'Catalyst::Plugin::StackTrace';
requires 'Catalyst::Plugin::Authentication';
requires 'Catalyst::Authentication::Store::DBI';
requires 'Catalyst::Plugin::Authorization::Roles';
requires 'Catalyst::Plugin::Observe';
requires 'Catalyst::Plugin::Session';
requires 'Catalyst::Plugin::Session::PerUser';
requires 'Catalyst::Plugin::Session::State::Cookie';
requires 'Catalyst::Plugin::Session::Store::DBI';
requires 'Catalyst::Plugin::Session::Store::File';
requires 'Catalyst::Plugin::Unicode::Encoding';
requires 'Catalyst::Model::DBI';
requires 'Catalyst::Model::DBIx::Connector';
requires 'Catalyst::Model::WebService::Solr';
requires 'Catalyst::Controller::REST';
requires 'Catalyst::Action::DeserializeMultiPart';
requires 'Catalyst::Plugin::Server';
requires 'Catalyst::Engine::Apache2';
requires 'WebService::Solr';
## reporting modules
requires 'Imager';
requires 'XML::LibXML';
requires 'XML::LibXSLT';
requires 'XML::XML2JSON';
requires 'Text::CSV';
requires 'Excel::Writer::XLSX';

# various ...
requires 'Alexandria::Library' => '2.5';

test_requires 'Test::More' => '0.88';

catalyst;

install_script glob('script/*');
auto_install;
WriteAll;

