package Alexandria::CDWS::Model::Custom;

use strict;
use base 'Catalyst::Model::DBI';

use Data::Dumper;

sub app_or_grant {
  my ($self, $ctry, $kind, $date, $dnum) = @_;
  my $c = $self->{c};
  my $ret;

  eval {
    my $dbh = $self->dbh;
    my $sth = $dbh->prepare("select data.f_app_or_grant(?,?,?,?)");
    $sth->execute( $ctry, $kind, $date, $dnum );
    ($ret) = $sth->fetchrow_array();
    $sth->finish();
  };
  if($@) { $c->log->error($@); }
  return ($ret) ? $ret : 'U';
}

sub ping {
  my $self = shift;
  my $dbh = $self->dbh;
  my $ret = $dbh->pg_ping();
  if($ret < 1) { return 0; }
  return $ret;
}

sub ACCEPT_CONTEXT {
  my ($self, $c, @args) = @_;
  $self = bless( { %{$self}, c => $c }, ref($self) );
  return $self;
}

__PACKAGE__->config(
  AutoCommit => q{1},
);

1;

__END__

